/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.caja.view;

import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JPasswordField;

/**
 *
 * @author Softtek
 */
public class DialogLogin extends javax.swing.JDialog {
	private static DialogLogin instance;
	/**
	 * Creates new form DialogConfiguracionBTImpresora
	 */
	private DialogLogin(JFrame parent) {		
		super(parent,true);
		initComponents();
	}

	public static DialogLogin getInstance(JFrame parent) {
		if(instance == null){
			instance = new DialogLogin(parent);
		}
		
		return instance;
	}
	
	

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel3 = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        aceptar = new javax.swing.JButton();
        jPanel5 = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        password = new javax.swing.JPasswordField();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Indentificación de Usuario");
        getContentPane().setLayout(new java.awt.BorderLayout(10, 10));

        jPanel3.setLayout(new java.awt.BorderLayout());

        aceptar.setText("Entrar");
        jPanel1.add(aceptar);

        jPanel3.add(jPanel1, java.awt.BorderLayout.CENTER);

        getContentPane().add(jPanel3, java.awt.BorderLayout.SOUTH);

        jPanel5.setLayout(new java.awt.GridLayout(1, 0, 0, 20));

        jPanel6.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 5, 90));

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Contraseña :");
        jPanel6.add(jLabel3);

        password.setColumns(10);
        jPanel6.add(password);

        jPanel5.add(jPanel6);

        getContentPane().add(jPanel5, java.awt.BorderLayout.CENTER);

        jLabel1.setIcon(getIcon());
        jPanel2.add(jLabel1);

        getContentPane().add(jPanel2, java.awt.BorderLayout.WEST);

        setSize(new java.awt.Dimension(461, 286));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton aceptar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPasswordField password;
    // End of variables declaration//GEN-END:variables

	/**
	 * @return the aceptar
	 */
	public javax.swing.JButton getAceptar() {
		return aceptar;
	}

	private ImageIcon getIcon(){
		ImageIcon icon = null;
		try{
			icon = new ImageIcon(ImageIO.read(getClass().getResourceAsStream("/images/sp_security.jpg")));
		} catch(Exception e){
		
		}
		return icon;
	
	}

	public JPasswordField getPassword() {
		return password;
	}
	
	
}
